

layout(std140) uniform CameraRenderUniform {
    mat4 view_matrix;
    mat4 view_matrix_inverse;
    mat4 projection_matrix;
    mat4 projection_matrix_inverse;
    vec4 cull_plane;
    vec2 viewport_size, viewport_size_inv;
    // float roughness_bias;
    // float fixed_z;
    // float pad0;
    // float pad1;
};

layout(std140) uniform ObjectRenderUniform {
    mat4 model_view_matrix;
    mat4 model_view_matrix_inverse;
    mat3 normal_matrix;
};

layout(std140) uniform ObjectUniform {
    mat4 model_matrix;
    mat4 model_matrix_inverse;
    vec3 mesh_center;
    vec3 mesh_inv_dimensions;
    float average_world_scale;
    vec4 color;
};
