


#if MAX_SPHERICAL_HARMONICS

vec3 get_sh9(vec3 direction, SH9 sh)
{
    vec3 dir = SH9_rotation * direction;
    return sh.c[0] * 0.282095 
    + sh.c[1] * 0.488603 * dir.y 
    + sh.c[2] * 0.488603 * dir.z 
    + sh.c[3] * 0.488603 * dir.x 
    + sh.c[4] * 1.092548 * dir.x * dir.y 
    + sh.c[5] * 1.092548 * dir.y * dir.z 
    + sh.c[6] * 0.315392 * (3.0 * dir.z * dir.z - 1.0) 
    + sh.c[7] * 1.092548 * dir.x * dir.z 
    + sh.c[8] * 0.546274 * (dir.x * dir.x - dir.y * dir.y)
    ;
}

#endif

